"""
DO NOT EDIT THIS FILE!!
This file is automatically generated by the process_schemas.py program
in the scripts directory. It is not intended to be edited directly. If
you need to update the GEL protocol classes, please run the script
on the appropriate schema version.
"""
from protocols.protocol import (
    ProtocolElement,
    avro_parse,
    load_schema,
)


class CancerSomaticVariantLevelQuestionnaire(ProtocolElement):
    """
    A record holding the somatic variant level questions for a single
    variant together with its normalized variant coordinates
    """

    # load schema from file
    _schemaSource = load_schema(__file__)
    # parse into avro classes
    schema = avro_parse(_schemaSource)

    requiredFields = {
        "variantCoordinates",
        "variantLevelQuestions",
    }

    @classmethod
    def getEmbeddedTypes(cls):
        # import here to prevent circular imports in python 2.7.
        from protocols.protocol_7_6 import reports as reports_6_1_0

        return {
            "variantCoordinates": reports_6_1_0.VariantCoordinates,
            "variantLevelQuestions": reports_6_1_0.CancerSomaticVariantLevelQuestions,
        }

    @classmethod
    def getEmbeddedEnums(cls):
        return {}

    @classmethod
    def getEmbeddedByNamespace(cls):
        # import here to prevent circular imports in python 2.7.
        from protocols.protocol_7_6 import cva as cva_1_5_0
        from protocols.protocol_7_6 import reports as reports_6_1_0

        return {
            "org.gel.models.report.avro.VariantCoordinates": reports_6_1_0.VariantCoordinates,
            "org.gel.models.report.avro.CancerSomaticVariantLevelQuestions": reports_6_1_0.CancerSomaticVariantLevelQuestions,
            "org.gel.models.cva.avro.CancerSomaticVariantLevelQuestionnaire": cva_1_5_0.CancerSomaticVariantLevelQuestionnaire,
        }

    __slots__ = [
        "variantCoordinates",
        "variantLevelQuestions",
    ]

    def __init__(
        self,
        variantCoordinates,
        variantLevelQuestions,
        validate=None,
        **kwargs
    ):
        """Initialise the cva_1_5_0.CancerSomaticVariantLevelQuestionnaire model.

        :param variantCoordinates:
            The coordinates of a given variant: assembly, chromosome, position,
            reference and alternate
        :type variantCoordinates: VariantCoordinates
        :param variantLevelQuestions:
            The questions at variant level
        :type variantLevelQuestions: CancerSomaticVariantLevelQuestions
        """

        attributes = {k: v for k, v in locals().items() if k not in ["self", "unknown"]}
        ProtocolElement.__init__(self, **attributes)

    @classmethod
    def _namespace_version(cls):
        return "1.5.0"
